Bug 442299 - Review Request: python-gtkextra - Python bindings for gtkextra
Review Request: python-gtkextra - Python bindings for gtkextra
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 22:12 EDT by Miloslav Trmač
Modified: 2009-01-07 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 08:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-04-13 22:12:29 EDT
Spec URL: http://people.redhat.com/mitr/packaging/python-gtkextra.spec
SRPM URL: http://people.redhat.com/mitr/packaging/python-gtkextra-1.1.0-1.src.rpm
Description: A Python interface to the GtkExtra2 widget set for GTK2.
Comment 2 Lubomir Kundrak 2008-04-18 09:51:57 EDT
1.) On 64 bit platforms files get installed into
/usr/lib/python2.5/site-packages/gtk-2.0/gtkextra

This causes the build to break since they are not included in plist, and also
causes the module not to work at all. They should get into
%{_libdir}/python2.5/site-packages/gtk-2.0/gtkextra instead

2.) Please consider usin dist tag

3.) %configure --disable-numpy

Is there a reason to disable numpy? We have numpy in Fedora afaik.
Comment 3 Miloslav Trmač 2008-04-18 17:03:08 EDT
> 1.) On 64 bit platforms files get installed into
> /usr/lib/python2.5/site-packages/gtk-2.0/gtkextra
> 
> This causes the build to break since they are not included in plist, and also
> causes the module not to work at all. They should get into
> %{_libdir}/python2.5/site-packages/gtk-2.0/gtkextra instead
Fixed by using %python_sitelib for these files.  I really should have tried an
all-arch build :(

An unfortunate side-effect is
  File listed twice: /usr/lib/python2.5/site-packages/gtk-2.0/gtkextra
on 32-bit architectures (once for %python_sitelib, once for %python_sitearch); I
think that can be lived with.

> 3.) %configure --disable-numpy
> 
> Is there a reason to disable numpy? We have numpy in Fedora afaik.
The package does not build with current numpy.  Given that the last release of
python-gtkextra happened four years ago, I'd prefer avoiding extensive patching
(otherwise Fedora could become something like a new upstream for the package,
and I currently don't care about it that much).

If an user requests numpy support - or if you insist on it - I'll take a look
and make it build (if not work), but I'd rather not.  Other features of
python-gtkextra that don't build were dealt with in the same manner - by
removing them.

New package is available at
http://people.redhat.com/mitr/packaging/python-gtkextra-1.1.0-2.src.rpm , new
spec file uploaded at the original URL.
Comment 4 Lubomir Kundrak 2008-04-18 17:33:09 EDT
Does it work at all? It did not do for me when I used the package with changes
equivalent to yours, until I moved the files to arch dependent destination.
Comment 5 Miloslav Trmač 2008-04-19 12:56:06 EDT
Doh, it doesn't.  The Makefile.am was handling *.py and *.so separately, and I
assumed they knew what they were doing...

New package at
http://people.redhat.com/mitr/packaging/python-gtkextra-1.1.0-3.src.rpm , tested
to work with audit-viewer on x86_64.
Comment 6 Lubomir Kundrak 2008-04-20 01:50:57 EDT
(In reply to comment #3)

> > 3.) %configure --disable-numpy
> > 
> > Is there a reason to disable numpy? We have numpy in Fedora afaik.
> The package does not build with current numpy.  Given that the last release of
> python-gtkextra happened four years ago, I'd prefer avoiding extensive patching
> (otherwise Fedora could become something like a new upstream for the package,
> and I currently don't care about it that much).
> 
> If an user requests numpy support - or if you insist on it - I'll take a look
> and make it build (if not work), but I'd rather not.  Other features of
> python-gtkextra that don't build were dealt with in the same manner - by
> removing them.

Given there is a good reason to disable numpy support, I think it is not
required. If someone requires numpy support, he can still open a bug report.

4.) python-gtkextra-1.1.0-update.patch

What's this patch? Seems like a lot of unrelated changes -- is it a diff between
release and a CVS snapshot? Please add a comment to it.

5.) rpmlint of python-gtkextra:

python-gtkextra.x86_64: W: devel-file-in-non-devel-package
/usr/lib64/pkgconfig/python-gtkextra.pc

Apart from these two, fairly minor, issues, I see no more problems.
Comment 7 Miloslav Trmač 2008-04-20 06:33:56 EDT
New Package CVS Request
=======================
Package Name: python-gtkextra
Short Description: Python bindings for gtkextra
Owners: mitr
Branches: F-9
InitialCC: 
Cvsextras Commits: yes

Comment 8 Kevin Fenzi 2008-04-22 13:28:16 EDT
cvs done.
Comment 9 Miloslav Trmač 2008-04-30 08:52:22 EDT
(In reply to comment #6)> 
> 4.) python-gtkextra-1.1.0-update.patch
> 
> What's this patch? Seems like a lot of unrelated changes -- is it a diff between
> release and a CVS snapshot? Please add a comment to it.
It fixes or removes bitrotted code, allowing the package built.  I have added a
comment to the top of the patch.

Thanks for all your comments!
Comment 10 Miloslav Trmač 2008-05-17 08:47:18 EDT
Package Change Request
======================
Package Name: python-gtkextra
New Branches: F-8
Comment 11 Kevin Fenzi 2008-05-17 16:28:41 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.